# Generated from vsphere-automation-runtime-0.4.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vsphere-automation-runtime

Name: rubygem-%{gem_name}
Version: 0.4.7
Release: 1%{?dist}
Summary: A Ruby SDK for the vSphere APIs (Runtime)
License: MIT
URL: https://github.com/vmware/vsphere-automation-sdk-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(pry) >= 0.12.2
# BuildRequires: rubygem(pry) < 0.13
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.73.0
# BuildRequires: rubygem(rubocop) < 0.74
# BuildRequires: rubygem(vcr) >= 5.0
# BuildRequires: rubygem(vcr) < 6
# BuildRequires: rubygem(webmock) >= 3.6
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
A Ruby SDK for the vSphere APIs (Runtime).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.4.7-1
- Initial package
